Blockly.Blocks["kidlcd_clear"] = {
	init: function() {
		this.appendDummyInput()
			.appendField(Blockly.Msg.KIDLCD_TITLE);

		this.appendDummyInput()
			.appendField(Blockly.Msg.KIDLCD_CLR_TITLE);

		this.setInputsInline(true);
		this.setPreviousStatement(true);
		this.setNextStatement(true);
		this.setColour(120);
		this.setTooltip(Blockly.Msg.KIDLCD_CLR_TOOLTIP);
		this.setHelpUrl(Blockly.Msg.KIDLCD_CLR_HELPURL);
	}
};

Blockly.Blocks["kidlcd_backlight"] = {
	init: function() {
		this.appendDummyInput()
			.appendField(Blockly.Msg.KIDLCD_TITLE);

		this.appendDummyInput()
			.appendField(Blockly.Msg.KIDLCD_BACKLIGHT_TITLE)
			.appendField(new Blockly.FieldDropdown([
				[Blockly.Msg.STATUS_OFF, "0"],
				[Blockly.Msg.STATUS_ON, "1"]
			]), 'STATUS');

		this.setInputsInline(true);
		this.setPreviousStatement(true);
		this.setNextStatement(true);
		this.setColour(120);
		this.setTooltip(Blockly.Msg.KIDLCD_BACKLIGHT_TOOLTIP);
		this.setHelpUrl(Blockly.Msg.KIDLCD_BACKLIGHT_HELPURL);
	}
};

Blockly.Blocks["kidlcd_print"] = {
	init: function() {
		this.appendDummyInput()
			.appendField(Blockly.Msg.KIDLCD_TITLE);

		this.appendValueInput('VALUE')
			.appendField(Blockly.Msg.KIDLCD_PRINT_TITLE)
			.appendField('(')
			.appendField(new Blockly.FieldNumber(1, 1, 20, 1), 'COLUMN')
			.appendField(',')
			.appendField(new Blockly.FieldNumber(1, 1, 4, 1), 'ROW')
			.appendField(')');

		this.setInputsInline(true);
		this.setPreviousStatement(true);
		this.setNextStatement(true);
		this.setColour(120);
		this.setTooltip(Blockly.Msg.KIDLCD_PRINT_TOOLTIP);
		this.setHelpUrl(Blockly.Msg.KIDLCD_PRINT_HELPURL);
	},
	xmlToolbox: function() {
		return `
			<block type="kidlcd_print">
				<value name="VALUE">
					<shadow type="basic_string"></shadow>
				</value>
			</block>
		`;
	}
};

Blockly.Blocks["kidlcd_print_prec"] = {
	init: function() {
		this.appendDummyInput()
			.appendField(Blockly.Msg.KIDLCD_TITLE);

		this.appendValueInput('VALUE')
			.setCheck('Number')
			.appendField(Blockly.Msg.KIDLCD_PRINT_PREC_TITLE)
			.appendField('(')
			.appendField(new Blockly.FieldNumber(1, 1, 20, 1), 'COLUMN')
			.appendField(',')
			.appendField(new Blockly.FieldNumber(1, 1, 4, 1), 'ROW')
			.appendField(')')
			.appendField(Blockly.Msg.PRECISION_TITLE)
			.appendField(new Blockly.FieldNumber(2, 0, 4, 1), 'PREC');

		this.setInputsInline(true);
		this.setPreviousStatement(true);
		this.setNextStatement(true);
		this.setColour(120);
		this.setTooltip(Blockly.Msg.KIDLCD_PRINT_PREC_TOOLTIP);
		this.setHelpUrl(Blockly.Msg.KIDLCD_PRINT_PREC_HELPURL);
	},
	xmlToolbox: function() {
		return `
			<block type="kidlcd_print">
				<value name="VALUE">
					<shadow type="math_number"></shadow>
				</value>
			</block>
		`;
	}
};
